io.swagger.client.model

## Class Transaction

- java.lang.Object
- - io.swagger.client.model.Transaction

-     public class Transaction
      extends Object

  Transaction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transaction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transaction` | `blockID(Integer blockID)`
    `Transaction` | `connectionId(Integer connectionId)`
    `boolean` | `equals(Object o)`
    `Transaction` | `from(String from)`
    `Integer` | `getBlockID()` Get blockID
    `Integer` | `getConnectionId()` Get connectionId
    `String` | `getFrom()` Get from
    `Integer` | `getId()` Get id
    `String` | `getTo()` Get to
    `String` | `getTransactionHash()` Get transactionHash
    `Double` | `getValue()` Get value
    `int` | `hashCode()`
    `Transaction` | `id(Integer id)`
    `Transaction` | `isAppBuilderTx(Boolean isAppBuilderTx)`
    `Boolean` | `isIsAppBuilderTx()` Get isAppBuilderTx
    `void` | `setBlockID(Integer blockID)`
    `void` | `setConnectionId(Integer connectionId)`
    `void` | `setFrom(String from)`
    `void` | `setId(Integer id)`
    `void` | `setIsAppBuilderTx(Boolean isAppBuilderTx)`
    `void` | `setTo(String to)`
    `void` | `setTransactionHash(String transactionHash)`
    `void` | `setValue(Double value)`
    `Transaction` | `to(String to)`
    `String` | `toString()`
    `Transaction` | `transactionHash(String transactionHash)`
    `Transaction` | `value(Double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Transaction

          public Transaction()

  - ### Method Detail

    - #### id

          public Transaction id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### connectionId

          public Transaction connectionId(Integer connectionId)

    - #### getConnectionId

          public Integer getConnectionId()

      Get connectionId
      Returns:
        connectionId

    - #### setConnectionId

          public void setConnectionId(Integer connectionId)

    - #### transactionHash

          public Transaction transactionHash(String transactionHash)

    - #### getTransactionHash

          public String getTransactionHash()

      Get transactionHash
      Returns:
        transactionHash

    - #### setTransactionHash

          public void setTransactionHash(String transactionHash)

    - #### blockID

          public Transaction blockID(Integer blockID)

    - #### getBlockID

          public Integer getBlockID()

      Get blockID
      Returns:
        blockID

    - #### setBlockID

          public void setBlockID(Integer blockID)

    - #### from

          public Transaction from(String from)

    - #### getFrom

          public String getFrom()

      Get from
      Returns:
        from

    - #### setFrom

          public void setFrom(String from)

    - #### to

          public Transaction to(String to)

    - #### getTo

          public String getTo()

      Get to
      Returns:
        to

    - #### setTo

          public void setTo(String to)

    - #### value

          public Transaction value(Double value)

    - #### getValue

          public Double getValue()

      Get value
      Returns:
        value

    - #### setValue

          public void setValue(Double value)

    - #### isAppBuilderTx

          public Transaction isAppBuilderTx(Boolean isAppBuilderTx)

    - #### isIsAppBuilderTx

          public Boolean isIsAppBuilderTx()

      Get isAppBuilderTx
      Returns:
        isAppBuilderTx

    - #### setIsAppBuilderTx

          public void setIsAppBuilderTx(Boolean isAppBuilderTx)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.